"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f392fc0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f393060>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f393100>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3931a0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f393240>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3932e0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f393380>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f393420>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3934c0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f393560>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f393600>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3936a0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f393740>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3937e0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f393880>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f393920>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3939c0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f393a60>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f393b00>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f393ba0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f393c40>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f393ce0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f393d80>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f393e20>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f393ec0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f393f60>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e8040>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e80e0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e8180>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e8220>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e82c0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e8360>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e8400>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e84a0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e8540>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e85e0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e8680>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e8720>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e87c0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e8860>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e8900>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e89a0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e8a40>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e8ae0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e8b80>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e8c20>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e8cc0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e8d60>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e8e00>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e8ea0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e8f40>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e8fe0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e9080>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e9120>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e91c0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e9260>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e9300>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e93a0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e9440>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e94e0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e9580>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e9620>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e96c0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e9760>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e9800>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e98a0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e9940>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e99e0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e9a80>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e9b20>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e9bc0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e9c60>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e9d00>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e9da0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e9e40>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e9ee0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3e9f80>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3ea020>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3ea0c0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3ea160>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3ea2a0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3ea200>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3ea340>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3ea3e0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fe67f3ea480>)]
name: str = 'fr_HOCCN'
